crashpad::MinidumpContextMIPS Struct Reference

A 32bit MIPS CPU context (register state) carried in a minidump file. More...

`#include "minidump/minidump_context.h"`

## Public Attributes

uint32_t | context_flags
uint32_t | _pad0
| This padding field is included for breakpad compatibility.
uint64_t | regs [32]
| General purpose registers `0`-`31`.
uint64_t | mdhi
| Multiply/divide result.
uint64_t | mdlo
uint32_t | hi [3]
| DSP registers.
uint32_t | lo [3]
uint32_t | dsp_control
uint32_t | _pad1
| This padding field is included for breakpad compatibility.
uint64_t | epc
uint64_t | badvaddr
uint32_t | status
uint32_t | cause
union {
struct {
float _fp_fregs
uint32_t _fp_pad
} fregs [32]
double dregs [32]
} | fpregs
| FPU registers.
uint32_t | fpcsr
| FPU status register.
uint32_t | fir
| FPU implementation register.

## Detailed Description

A 32bit MIPS CPU context (register state) carried in a minidump file.

The documentation for this struct was generated from the following file:

- minidump/minidump_context.h